org.gradle.tooling.model

## Interface GradleProject

- All Superinterfaces:
    BuildableElement, Element, HierarchicalElement, Model

      public interface GradleProject
      extends HierarchicalElement, BuildableElement

  Gradle project.
  Since:
    1.0-milestone-5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GradleProject` | `findByPath(String path)` Searches all descendants (children, grand children, etc.), including self, by given path.
    `DomainObjectSet<? extends GradleProject>` | `getChildren()` Returns the child elements, or the empty set if there are no child elements.
    `GradleProject` | `getParent()` Returns the parent of this element, or `null` if there is no parent.
    `String` | `getPath()` Returns Gradle path.
    `DomainObjectSet<? extends GradleTask>` | `getTasks()` Returns the tasks of this project.

    - ### Methods inherited from interface org.gradle.tooling.model.Element

      `getDescription, getName`

- - ### Method Detail

    - #### getTasks

          DomainObjectSet<? extends GradleTask> getTasks()

      Returns the tasks of this project.
      Specified by:
        `getTasks` in interface `BuildableElement`
      Returns:
        The tasks.

    - #### getParent

          GradleProject getParent()

      Returns the parent of this element, or `null` if there is no parent.
      Specified by:
        `getParent` in interface `HierarchicalElement`
      Returns:
        The parent of this element, or `null` if there is no parent.

    - #### getChildren

          DomainObjectSet<? extends GradleProject> getChildren()

      Returns the child elements, or the empty set if there are no child elements.
      Specified by:
        `getChildren` in interface `HierarchicalElement`
      Returns:
        The child elements, or the empty set if there are no child elements.

    - #### getPath

          String getPath()

      Returns Gradle path.
      Returns:
        The path.

    - #### findByPath

          @Nullable
          GradleProject findByPath(String path)

      Searches all descendants (children, grand children, etc.), including self, by given path.
      Returns:
        Gradle project with matching path or `null` if not found.